//place these scripts within BODY tag if you are using IE 4.0 or below.
//****************************************************************************
// PopCalendar 3.50, Emailware(please mail&commend me if u like it)
// Originally coded by Liming(Victor) Weng, email: victorwon@netease.com
// Release date: 2000.3.13
// Anyone may modify it to satify his needs, but please leave this comment ahead.
// Modified as per comments by rschorle
// Modified by Shawn Milo to only receive one argument, and replaced
//      many lines with 2 regex lines to add leading zero to dates and months.
//****************************************************************************

var gdCtrl = new Object();
var goSelectTag = new Array();
var gcGray = "#808080";
var gcToggle = "#ffff00";
var gcToggle2 = "#b31fb0";   //added by rschorle
var gcBG = "#cccccc";

var gdCurDate = new Date();
var giYear = gdCurDate.getFullYear();
var giMonth = gdCurDate.getMonth()+1;
var giDay = gdCurDate.getDate();

//****************************************************************************
// Param: popCtrl is the widget beyond which you want this calendar to appear;
//        dateCtrl is the widget into which you want to put the selected date.
// i.e.: <input type="text" name="dc" style="text-align:center" readonly><INPUT type="button" value="V" onclick="fPopCalendar(dc,dc);return false">
//****************************************************************************
function fPopCalendar(popCtrl){
   var dateCtrl = popCtrl;
  event.cancelBubble=true;
  gdCtrl = dateCtrl;
  fSetYearMon(giYear, giMonth);
  var point = fGetXY(popCtrl);
  with (VicPopCal.style) {
   left = point.x;
   top  = point.y+popCtrl.offsetHeight+1;
   width = VicPopCal.offsetWidth;
   height = VicPopCal.offsetHeight;
   fToggleTags(point);
   visibility = 'visible';
  }
  VicPopCal.focus();
}

function fSetDate(iYear, iMonth, iDay){

   var finishedDate = iMonth+"/"+iDay+"/"+iYear;
   
   //Add zeros to the month and date if they are one digit.
   //Note -- if using something other than a forward slash (/)
   //to separate the date sections, then the regex will have 
   //to be modified.
   
   //If the first two characters after the beginning of the line
   //are a digit and a '/', pad with a zero.  (Pad month)
   finishedDate = finishedDate.replace(/^(\d\/)/, '0$1');
   
   //If the string contains a '/' followed by a single 
   //digit followed by a '/', pad with a zero. (Pad date)
   finishedDate = finishedDate.replace(/\/(\d)\//, '\/0$1\/');
   
   gdCtrl.value =  finishedDate;  
   //gdCtrl.value = iYear+"-"+iMonth+"-"+iDay;   //changed by rschorle
   //gdCtrl.value = iMonth+"-"+iDay+"-"+iYear; //Here, you could modify the locale as you need !!!!
   fHideCalendar();
   
}

function fHideCalendar(){
  VicPopCal.style.visibility = "hidden";
  for (i in goSelectTag)
   goSelectTag[i].style.visibility = "visible";
  goSelectTag.length = 0;
  //validate(seltask.txtReqDate.value)
}

function fSetSelected(aCell){
  var iOffset = 0;
  var iYear = parseInt(tbSelYear.value);
  var iMonth = parseInt(tbSelMonth.value);

  aCell.bgColor = gcBG;
  with (aCell.children["cellText"]){
   var iDay = parseInt(innerText);
   if (color==gcGray)
      iOffset = (Victor<10)?-1:1;
   iMonth += iOffset;
   if (iMonth<1) {
      iYear--;
      iMonth = 12;
   }else if (iMonth>12){
      iYear++;
      iMonth = 1;
   }
  }
  
  
  fSetDate(iYear, iMonth, iDay);
}

function Point(iX, iY){
   this.x = iX;
   this.y = iY;
}

function fBuildCal(iYear, iMonth) {
  var aMonth=new Array();
  for(i=1;i<7;i++)
   aMonth[i]=new Array(i);

  var dCalDate=new Date(iYear, iMonth-1, 1);
  var iDayOfFirst=dCalDate.getDay();
  var iDaysInMonth=new Date(iYear, iMonth, 0).getDate();
  var iOffsetLast=new Date(iYear, iMonth-1, 0).getDate()-iDayOfFirst+1;
  var iDate = 1;
  var iNext = 1;

  for (d = 0; d < 7; d++)
   aMonth[1][d] = (d<iDayOfFirst)?-(iOffsetLast+d):iDate++;
  for (w = 2; w < 7; w++)
   for (d = 0; d < 7; d++)
      aMonth[w][d] = (iDate<=iDaysInMonth)?iDate++:-(iNext++);
  return aMonth;
}

function fDrawCal(iYear, iMonth, iCellHeight, iDateTextSize) {
  var WeekDay = new Array("Su","Mo","Tu","We","Th","Fr","Sa");
  var styletd = " bgcolor='"+gcBG+"' bordercolor='"+gcBG+"' valign='middle' align='center' height='"+iCellHeight+"' style='font:bold "+iDateTextSize+" Courier;";            //Coded by Liming Weng(Victor Won)  email:victorwon@netease.com

  with (document) {
   write("<tr>");
   for(i=0; i<7; i++)
      write("<td "+styletd+"color:#990099' >" + WeekDay[i] + "</td>");
   write("</tr>");

   for (w = 1; w < 7; w++) {
      write("<tr>");
      for (d = 0; d < 7; d++) {
         write("<td id=calCell "+styletd+"cursor:hand;' onMouseOver='this.bgColor=gcToggle' onMouseOut='this.bgColor=gcBG' onclick='fSetSelected(this)'>");
         write("<font id=cellText Victor='Liming Weng'> </font>");
         write("</td>")
      }
      write("</tr>");
   }
  }
}

function fUpdateCal(iYear, iMonth) {
  myMonth = fBuildCal(iYear, iMonth);
  var i = 0;
  for (w = 0; w < 6; w++)
   for (d = 0; d < 7; d++)
      with (cellText[(7*w)+d]) {
         Victor = i++;
         if (myMonth[w+1][d]<0) {
            color = gcGray;
            innerText = -myMonth[w+1][d];
         }else{
            color = ((d==0)||(d==6))?"red":"black";
            innerText = myMonth[w+1][d];
         }
      }
}

function fSetYearMon(iYear, iMon){
  tbSelMonth.options[iMon-1].selected = true;
  for (i = 0; i < tbSelYear.length; i++)
   if (tbSelYear.options[i].value == iYear)
      tbSelYear.options[i].selected = true;
  fUpdateCal(iYear, iMon);
}

function fPrevMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;

  if (--iMon<1) {
     iMon = 12;
     iYear--;
  }

  fSetYearMon(iYear, iMon);
}

function fNextMonth(){
  var iMon = tbSelMonth.value;
  var iYear = tbSelYear.value;

  if (++iMon>12) {
     iMon = 1;
     iYear++;
  }

  fSetYearMon(iYear, iMon);
}

function fToggleTags(){
  with (document.all.tags("select")){
   for (i=0; i<length; i++)
      if ((item(i).Victor!="Won")&&fTagInBound(item(i))){
         item(i).style.visibility = "hidden";
         goSelectTag[goSelectTag.length] = item(i);
      }
  }
}

function fTagInBound(aTag){
  with (VicPopCal.style){
   var l = parseInt(left);
   var t = parseInt(top);
   var r = l+parseInt(width);
   var b = t+parseInt(height);
   var ptLT = fGetXY(aTag);
   return !((ptLT.x>r)||(ptLT.x+aTag.offsetWidth<l)||(ptLT.y>b)||(ptLT.y+aTag.offsetHeight<t));
  }
}

function fGetXY(aTag){
  var oTmp = aTag;
  var pt = new Point(0,0);
  
  do {
   pt.x += oTmp.offsetLeft;
   pt.y += oTmp.offsetTop;
   oTmp = oTmp.offsetParent;
  } while(oTmp.tagName!="BODY");

  return pt;
}

//var gMonths = new Array("January","February","March","April","May","June","July","August","September","October","November","December");
var gMonths = new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

with (document) {
write("<div id='VicPopCal' onclick='event.cancelBubble=true' style='POSITION:absolute;visibility:hidden;border:2px ridge;width:10;z-index:100;'>");
write("<table border='0' bgcolor='#bbbdbb'>");
write("<tr>");
write("<td valign='middle' align='center'><input type='button' name='PrevMonth' value='<' style='height:20;width:20;FONT:16 Fixedsys' onClick='fPrevMonth()'>");
write("&nbsp;&nbsp;<select name='tbSelMonth' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for (i=0; i<12; i++)
   write("<option value='"+(i+1)+"'>"+gMonths[i]+"</option>");
write("</select>");
write("&nbsp;&nbsp;<select name='tbSelYear' onChange='fUpdateCal(tbSelYear.value, tbSelMonth.value)' Victor='Won'>");
for(i=1990;i<2015;i++)
   write("<OPTION value='"+i+"'>&nbsp;"+i+"&nbsp;</OPTION>");
write("</select>");
write("&nbsp;&nbsp;<input type='button' name='PrevMonth' value='>' style='height:20;width:20;FONT:16 Fixedsys' onclick='fNextMonth()'>");
write("</td>");
write("</tr><tr>");
write("<td align='center'>");
write("<DIV style='background-color:teal;'><table width='100%' border='0' cellpadding='2'>");
fDrawCal(giYear, giMonth, 10, 10);
write("</table></DIV>");
write("</td>");
write("</tr><tr><td align='center'>");
write("<B style='cursor:hand' onclick='fSetDate(giYear,giMonth,giDay)' onMouseOver='this.style.color=gcToggle2' onMouseOut='this.style.color=0'>Today:&nbsp;&nbsp;"+gMonths[giMonth-1]+"&nbsp;"+giDay+",&nbsp;&nbsp;"+giYear+"</B>");
write("</td></tr>");write("</td></tr>");
write("</table></div>");
}
// End -- Coded by Liming Weng, email: victorwon@netease.com -->

